package com.pdaaphm.biz.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.pdaaphm.common.annotation.Excel;
import com.pdaaphm.common.core.domain.BaseEntity;

/**
 * 算法对象 t_algorithm
 *
 * @author xlk
 * @date 2023-08-16
 */
@Data
public class Algorithm extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    public static String createdCode = "0";
    public static String runningCode = "1";
    public static String completedCode = "2";

    /** 编号 */
    private Long id;

    /** 算法类型 */
    @Excel(name = "算法类型")
    private String type;

    /** 子类型id */
    @Excel(name = "子类型id")
    private Long subTypeId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 算法运行状态 */
    @Excel(name = "算法运行状态")
    private String status;

    /** 算法错误原因 */
    @Excel(name = "算法错误原因")
    private String error;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date completedTime;

    /** 耗时(s) */
    @Excel(name = "耗时(s)")
    private Long costSecond;

    /** 算法子类型名称 */
    @Excel(name = "算法子类型名称")
    private String algoSubName;

    /**
     * 字典类型
     */
    private String dictType;

    private String taskId;

    private List<String> types;
}
