/*
 Navicat Premium Data Transfer

 Source Server         : super
 Source Server Type    : MySQL
 Source Server Version : 80027
 Source Host           : 47.108.150.237:3306
 Source Schema         : pdaaphm

 Target Server Type    : MySQL
 Target Server Version : 80027
 File Encoding         : 65001

 Date: 28/09/2024 15:11:02
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `package_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 33 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '代码生成业务表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (21, 't_algorithm', '算法表', NULL, NULL, 'TAlgorithm', 'crud', 'com.pdaaphm.biz', 'algoManager', 'algorithm3', '故障预测', 'ruoyi', '0', '/', '{\"parentMenuId\":\"2000\"}', 'admin', '2024-06-04 09:01:27', '', '2024-06-05 12:33:28', NULL);
INSERT INTO `gen_table` VALUES (22, 't_algorithm_io_field', '算法输入输出字段表', NULL, NULL, 'TAlgorithmIoField', 'crud', 'com.pdaaphm.biz', 'conf', 'field', '算法输入输出字段', 'ruoyi', '0', '/', '{\"parentMenuId\":2001}', 'admin', '2024-06-04 09:01:30', '', '2024-06-04 11:36:07', NULL);
INSERT INTO `gen_table` VALUES (23, 't_algorithm_sub_type', '算法子类型表', NULL, NULL, 'TAlgorithmSubType', 'crud', 'com.pdaaphm.biz', 'conf', 'subType', '算法子类型', 'ruoyi', '0', '/', '{\"parentMenuId\":2001}', 'admin', '2024-06-04 09:01:32', '', '2024-06-04 10:40:01', NULL);
INSERT INTO `gen_table` VALUES (24, 't_file', '文件表', NULL, NULL, 'TFile', 'crud', 'com.pdaaphm.biz', 'algoManager', 'file', '数据管理', 'ruoyi', '0', '/', '{\"parentMenuId\":\"2000\"}', 'admin', '2024-06-04 09:01:35', '', '2024-06-05 08:37:35', NULL);
INSERT INTO `gen_table` VALUES (25, 't_sub_algorithm', '算法子表', NULL, NULL, 'TSubAlgorithm', 'crud', 'com.pdaaphm.biz', 'biz', 'algorithm', '算法子', 'ruoyi', '0', '/', NULL, 'admin', '2024-06-04 09:01:37', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (31, 't_alg_config', '算法配置表', NULL, NULL, 'AlgConfig', 'crud', 'com.pdaaphm.system', 'system', 'algConfig', '算法配置', 'Allen', '0', '/', '{\"parentMenuId\":\"2001\"}', 'admin', '2024-08-19 12:44:36', '', '2024-08-19 13:05:42', NULL);
INSERT INTO `gen_table` VALUES (32, 't_data', '数据存储表', NULL, NULL, 'Data', 'crud', 'com.pdaaphm.system', 'system', 'data', '数据管理', 'Allen', '0', '/', '{\"parentMenuId\":\"2000\"}', 'admin', '2024-08-19 12:44:36', '', '2024-08-28 08:53:08', NULL);
INSERT INTO `gen_table` VALUES (33, 't_data_process', '数据处理表', NULL, NULL, 'TDataProcess', 'crud', 'com.pdaaphm.system', 'system', 'process', '数据处理', 'ruoyi', '0', '/', '{}', 'admin', '2024-08-19 12:44:37', '', '2024-08-20 02:14:03', NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 333 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (201, '21', 'id', '编号', 'bigint', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-06-04 09:01:27', '', '2024-06-05 12:33:28');
INSERT INTO `gen_table_column` VALUES (202, '21', 'type', '算法类型', 'varchar(10)', 'String', 'type', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2024-06-04 09:01:28', '', '2024-06-05 12:33:28');
INSERT INTO `gen_table_column` VALUES (203, '21', 'sub_type_id', '子类型id', 'bigint', 'Long', 'subTypeId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-06-04 09:01:28', '', '2024-06-05 12:33:28');
INSERT INTO `gen_table_column` VALUES (204, '21', 'name', '名称', 'varchar(200)', 'String', 'name', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2024-06-04 09:01:28', '', '2024-06-05 12:33:28');
INSERT INTO `gen_table_column` VALUES (205, '21', 'start_time', '开始时间', 'datetime', 'Date', 'startTime', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 5, 'admin', '2024-06-04 09:01:28', '', '2024-06-05 12:33:28');
INSERT INTO `gen_table_column` VALUES (206, '21', 'completed_time', '完成时间', 'datetime', 'Date', 'completedTime', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 6, 'admin', '2024-06-04 09:01:28', '', '2024-06-05 12:33:28');
INSERT INTO `gen_table_column` VALUES (207, '21', 'cost_second', '耗时(s)', 'int', 'Long', 'costSecond', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-06-04 09:01:29', '', '2024-06-05 12:33:28');
INSERT INTO `gen_table_column` VALUES (208, '21', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-06-04 09:01:29', '', '2024-06-05 12:33:29');
INSERT INTO `gen_table_column` VALUES (209, '21', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-06-04 09:01:29', '', '2024-06-05 12:33:29');
INSERT INTO `gen_table_column` VALUES (210, '21', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-06-04 09:01:29', '', '2024-06-05 12:33:29');
INSERT INTO `gen_table_column` VALUES (211, '21', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-06-04 09:01:29', '', '2024-06-05 12:33:29');
INSERT INTO `gen_table_column` VALUES (212, '21', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 12, 'admin', '2024-06-04 09:01:29', '', '2024-06-05 12:33:29');
INSERT INTO `gen_table_column` VALUES (213, '22', 'id', '编号', 'bigint', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-06-04 09:01:30', '', '2024-06-04 11:36:07');
INSERT INTO `gen_table_column` VALUES (214, '22', 'algorithm_sub_id', '算法子类型编号', 'bigint', 'Long', 'algorithmSubId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-06-04 09:01:30', '', '2024-06-04 11:36:07');
INSERT INTO `gen_table_column` VALUES (215, '22', 'type', '输入/输出', 'varchar(10)', 'String', 'type', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-06-04 09:01:30', '', '2024-06-04 11:36:07');
INSERT INTO `gen_table_column` VALUES (216, '22', 'name', '名称', 'varchar(200)', 'String', 'name', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2024-06-04 09:01:31', '', '2024-06-04 11:36:07');
INSERT INTO `gen_table_column` VALUES (217, '22', 'index', '排序', 'int', 'Long', 'index', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-06-04 09:01:31', '', '2024-06-04 11:36:07');
INSERT INTO `gen_table_column` VALUES (218, '22', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-06-04 09:01:31', '', '2024-06-04 11:36:07');
INSERT INTO `gen_table_column` VALUES (219, '22', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-06-04 09:01:31', '', '2024-06-04 11:36:07');
INSERT INTO `gen_table_column` VALUES (220, '22', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-06-04 09:01:32', '', '2024-06-04 11:36:07');
INSERT INTO `gen_table_column` VALUES (221, '22', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-06-04 09:01:32', '', '2024-06-04 11:36:07');
INSERT INTO `gen_table_column` VALUES (222, '22', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-06-04 09:01:32', '', '2024-06-04 11:36:07');
INSERT INTO `gen_table_column` VALUES (223, '23', 'id', '编号', 'bigint', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-06-04 09:01:32', '', '2024-06-04 10:40:02');
INSERT INTO `gen_table_column` VALUES (224, '23', 'type', '类型', 'varchar(10)', 'String', 'type', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2024-06-04 09:01:33', '', '2024-06-04 10:40:02');
INSERT INTO `gen_table_column` VALUES (225, '23', 'name', '算法子名称', 'varchar(200)', 'String', 'name', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-06-04 09:01:33', '', '2024-06-04 10:40:02');
INSERT INTO `gen_table_column` VALUES (226, '23', 'url', '算法url', 'varchar(255)', 'String', 'url', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-06-04 09:01:33', '', '2024-06-04 10:40:02');
INSERT INTO `gen_table_column` VALUES (227, '23', 'run_type', '运行类型', 'varchar(255)', 'String', 'runType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2024-06-04 09:01:33', '', '2024-06-04 10:40:03');
INSERT INTO `gen_table_column` VALUES (228, '23', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-06-04 09:01:34', '', '2024-06-04 10:40:03');
INSERT INTO `gen_table_column` VALUES (229, '23', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-06-04 09:01:34', '', '2024-06-04 10:40:03');
INSERT INTO `gen_table_column` VALUES (230, '23', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-06-04 09:01:34', '', '2024-06-04 10:40:04');
INSERT INTO `gen_table_column` VALUES (231, '23', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-06-04 09:01:34', '', '2024-06-04 10:40:04');
INSERT INTO `gen_table_column` VALUES (232, '23', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-06-04 09:01:34', '', '2024-06-04 10:40:04');
INSERT INTO `gen_table_column` VALUES (233, '24', 'id', '编号', 'bigint', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-06-04 09:01:35', '', '2024-06-05 08:37:35');
INSERT INTO `gen_table_column` VALUES (234, '24', 'name', '文档名称', 'varchar(200)', 'String', 'name', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-06-04 09:01:36', '', '2024-06-05 08:37:35');
INSERT INTO `gen_table_column` VALUES (235, '24', 'path', '文档路径', 'varchar(255)', 'String', 'path', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-06-04 09:01:36', '', '2024-06-05 08:37:35');
INSERT INTO `gen_table_column` VALUES (236, '24', 'type', '类型', 'varchar(10)', 'String', 'type', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 4, 'admin', '2024-06-04 09:01:36', '', '2024-06-05 08:37:36');
INSERT INTO `gen_table_column` VALUES (237, '24', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-06-04 09:01:36', '', '2024-06-05 08:37:36');
INSERT INTO `gen_table_column` VALUES (238, '24', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-06-04 09:01:37', '', '2024-06-05 08:37:36');
INSERT INTO `gen_table_column` VALUES (239, '24', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-06-04 09:01:37', '', '2024-06-05 08:37:36');
INSERT INTO `gen_table_column` VALUES (240, '24', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-06-04 09:01:37', '', '2024-06-05 08:37:36');
INSERT INTO `gen_table_column` VALUES (241, '24', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 9, 'admin', '2024-06-04 09:01:37', '', '2024-06-05 08:37:36');
INSERT INTO `gen_table_column` VALUES (242, '25', 'id', '编号', 'bigint', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-06-04 09:01:38', '', NULL);
INSERT INTO `gen_table_column` VALUES (243, '25', 'algorithm_id', '主表id', 'bigint', 'Long', 'algorithmId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-06-04 09:01:38', '', NULL);
INSERT INTO `gen_table_column` VALUES (244, '25', 'field_id', '字段id', 'bigint', 'Long', 'fieldId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-06-04 09:01:38', '', NULL);
INSERT INTO `gen_table_column` VALUES (245, '25', 'upload_id', '文件id', 'bigint', 'Long', 'uploadId', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-06-04 09:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (246, '25', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-06-04 09:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (247, '25', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-06-04 09:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (248, '25', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-06-04 09:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (249, '25', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-06-04 09:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (250, '25', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 9, 'admin', '2024-06-04 09:01:39', '', NULL);
INSERT INTO `gen_table_column` VALUES (301, '31', 'id', '编号', 'bigint', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-08-19 12:44:36', '', '2024-08-19 13:05:42');
INSERT INTO `gen_table_column` VALUES (302, '31', 'alg_name', '算法名称', 'varchar(64)', 'String', 'algName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2024-08-19 12:44:36', '', '2024-08-19 13:05:42');
INSERT INTO `gen_table_column` VALUES (303, '31', 'alg_type', '算法类型（1补全，2扩充，3特称提取，4退化评估，5故障预测）', 'varchar(64)', 'String', 'algType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', 'biz_alg_type', 3, 'admin', '2024-08-19 12:44:36', '', '2024-08-19 13:05:42');
INSERT INTO `gen_table_column` VALUES (304, '31', 'alg_url', '处理的算法', 'varchar(255)', 'String', 'algUrl', '0', '0', '1', '1', '1', '0', '0', 'EQ', 'input', '', 4, 'admin', '2024-08-19 12:44:36', '', '2024-08-19 13:05:42');
INSERT INTO `gen_table_column` VALUES (305, '31', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-08-19 12:44:36', '', '2024-08-19 13:05:42');
INSERT INTO `gen_table_column` VALUES (306, '31', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-08-19 12:44:36', '', '2024-08-19 13:05:42');
INSERT INTO `gen_table_column` VALUES (307, '31', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-08-19 12:44:36', '', '2024-08-19 13:05:42');
INSERT INTO `gen_table_column` VALUES (308, '31', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-08-19 12:44:36', '', '2024-08-19 13:05:42');
INSERT INTO `gen_table_column` VALUES (309, '31', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 9, 'admin', '2024-08-19 12:44:36', '', '2024-08-19 13:05:42');
INSERT INTO `gen_table_column` VALUES (310, '32', 'id', '编号', 'bigint', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-08-19 12:44:36', '', '2024-08-28 08:53:08');
INSERT INTO `gen_table_column` VALUES (311, '32', 'data_type', '数据类型（1原始，2补全结果，3扩充结果，4特称提取结果，5退化评估结果，6故障预测结果）', 'varchar(64)', 'String', 'dataType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', 'biz_data_type', 3, 'admin', '2024-08-19 12:44:36', '', '2024-08-28 08:53:08');
INSERT INTO `gen_table_column` VALUES (312, '32', 'data_path', '数据路径', 'text', 'String', 'dataPath', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'fileUpload', '', 4, 'admin', '2024-08-19 12:44:36', '', '2024-08-28 08:53:08');
INSERT INTO `gen_table_column` VALUES (313, '32', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2024-08-19 12:44:36', '', '2024-08-28 08:53:08');
INSERT INTO `gen_table_column` VALUES (314, '32', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2024-08-19 12:44:37', '', '2024-08-28 08:53:08');
INSERT INTO `gen_table_column` VALUES (315, '32', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-08-19 12:44:37', '', '2024-08-28 08:53:09');
INSERT INTO `gen_table_column` VALUES (316, '32', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-08-19 12:44:37', '', '2024-08-28 08:53:09');
INSERT INTO `gen_table_column` VALUES (317, '32', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 10, 'admin', '2024-08-19 12:44:37', '', '2024-08-28 08:53:09');
INSERT INTO `gen_table_column` VALUES (318, '33', 'id', '编号', 'bigint', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-08-19 12:44:37', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (319, '33', 'process_type', '数据类型', 'varchar(64)', 'String', 'processType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', 'biz_alg_type', 2, 'admin', '2024-08-19 12:44:37', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (320, '33', 'process_alg_id', '处理的算法id', 'bigint', 'Long', 'processAlgId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-08-19 12:44:37', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (321, '33', 'processed_data_id', '被处理数据id', 'bigint', 'Long', 'processedDataId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2024-08-19 12:44:37', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (322, '33', 'result_data_id', '处理结果数据id', 'bigint', 'Long', 'resultDataId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-08-19 12:44:37', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (323, '33', 'log', '日志', 'text', 'String', 'log', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'textarea', '', 9, 'admin', '2024-08-19 12:44:37', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (324, '33', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-08-19 12:44:37', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (325, '33', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-08-19 12:44:37', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (326, '33', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-08-19 12:44:37', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (327, '33', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-08-19 12:44:37', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (328, '33', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2024-08-19 12:44:37', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (329, '33', 'process_status', '状态', 'varchar(64)', 'String', 'processStatus', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', 'biz_process_status', 6, '', '2024-08-20 02:09:28', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (330, '33', 'start_time', '开始时间', 'datetime', 'Date', 'startTime', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 7, '', '2024-08-20 02:09:28', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (331, '33', 'end_time', '结束时间', 'datetime', 'Date', 'endTime', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 8, '', '2024-08-20 02:09:28', '', '2024-08-20 02:14:03');
INSERT INTO `gen_table_column` VALUES (332, '32', 'data_name', '数据名称', 'varchar(64)', 'String', 'dataName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 2, '', '2024-08-20 07:26:24', '', '2024-08-28 08:53:08');
INSERT INTO `gen_table_column` VALUES (333, '32', 'image_path', '图片路径', 'varchar(255)', 'String', 'imagePath', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'imageUpload', '', 5, '', '2024-08-28 08:52:28', '', '2024-08-28 08:53:08');

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '参数配置表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2024-06-04 08:38:48', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2024-06-04 08:38:48', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2024-06-04 08:38:48', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'true', 'Y', 'admin', '2024-06-04 08:38:48', '', NULL, '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2024-06-04 08:38:48', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2024-06-04 08:38:48', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 200 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '部门表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '空军工程大学', 0, 'admin', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-04 08:38:43', '', NULL);
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '工院', 1, 'admin', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-04 08:38:43', '', NULL);
INSERT INTO `sys_dept` VALUES (102, 100, '0,100', '航空航天工程学院', 2, 'admin', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-04 08:38:43', '', NULL);
INSERT INTO `sys_dept` VALUES (103, 101, '0,100,101', '一部', 1, 'admin', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-04 08:38:43', '', NULL);
INSERT INTO `sys_dept` VALUES (104, 101, '0,100,101', '二部', 2, 'admin', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-04 08:38:43', '', NULL);
INSERT INTO `sys_dept` VALUES (105, 101, '0,100,101', '三部', 3, 'admin', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-06-04 08:38:43', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 120 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '字典数据表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (100, 0, '初始数据', '0', 'biz_data_type', NULL, 'default', 'N', '0', 'admin', '2024-08-19 14:12:13', 'admin', '2024-08-28 07:02:02', NULL);
INSERT INTO `sys_dict_data` VALUES (101, 1, '补全数据', '1', 'biz_data_type', NULL, 'default', 'N', '0', 'admin', '2024-08-19 14:12:28', 'admin', '2024-09-24 08:26:20', NULL);
INSERT INTO `sys_dict_data` VALUES (102, 3, '扩充数据', '3', 'biz_data_type', NULL, 'default', 'N', '0', 'admin', '2024-08-19 14:12:41', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (103, 4, '特称提取数据', '4', 'biz_data_type', NULL, 'default', 'N', '0', 'admin', '2024-08-19 14:12:55', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (104, 5, '退化评估数据', '5', 'biz_data_type', NULL, 'default', 'N', '0', 'admin', '2024-08-19 14:13:13', 'admin', '2024-08-19 14:13:20', NULL);
INSERT INTO `sys_dict_data` VALUES (105, 6, '故障预测数据', '6', 'biz_data_type', NULL, 'default', 'N', '0', 'admin', '2024-08-19 14:13:33', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (106, 0, '补全', '0', 'biz_alg_type', NULL, 'default', 'N', '0', 'admin', '2024-08-19 14:13:53', 'admin', '2024-09-24 08:27:14', NULL);
INSERT INTO `sys_dict_data` VALUES (107, 2, '扩充', '2', 'biz_alg_type', NULL, 'default', 'N', '0', 'admin', '2024-08-19 14:14:01', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (108, 3, '特征提取', '3', 'biz_alg_type', NULL, 'default', 'N', '0', 'admin', '2024-08-19 14:14:15', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (109, 4, '退化评估', '4', 'biz_alg_type', NULL, 'default', 'N', '0', 'admin', '2024-08-19 14:14:25', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (110, 5, '故障预测', '5', 'biz_alg_type', NULL, 'default', 'N', '0', 'admin', '2024-08-19 14:14:36', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (111, 1, '待处理', '1', 'biz_process_status', NULL, 'default', 'N', '0', 'admin', '2024-08-20 02:11:28', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (112, 2, '处理中', '2', 'biz_process_status', NULL, 'default', 'N', '0', 'admin', '2024-08-20 02:11:36', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (113, 3, '已完成', '3', 'biz_process_status', NULL, 'default', 'N', '0', 'admin', '2024-08-20 02:11:47', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (114, 4, '失败', '4', 'biz_process_status', NULL, 'default', 'N', '0', 'admin', '2024-08-20 02:11:56', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (115, 1, '去噪', '1', 'biz_alg_type', NULL, 'default', 'N', '0', 'admin', '2024-08-28 06:36:59', 'admin', '2024-09-24 08:27:21', NULL);
INSERT INTO `sys_dict_data` VALUES (116, 1, '去噪', '1', 'biz_preaglo_type', NULL, 'default', 'N', '0', 'admin', '2024-08-28 06:48:25', 'admin', '2024-09-24 08:27:42', NULL);
INSERT INTO `sys_dict_data` VALUES (117, 0, '补全', '0', 'biz_preaglo_type', NULL, 'default', 'N', '0', 'admin', '2024-08-28 06:48:49', 'admin', '2024-09-24 08:27:36', NULL);
INSERT INTO `sys_dict_data` VALUES (118, 2, '扩充', '2', 'biz_preaglo_type', NULL, 'default', 'N', '0', 'admin', '2024-08-28 06:48:59', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (119, 2, '去噪数据', '2', 'biz_data_type', NULL, 'default', 'N', '0', 'admin', '2024-08-28 07:02:15', 'admin', '2024-09-24 08:26:29', NULL);

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 104 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '字典类型表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2024-06-04 08:38:47', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2024-06-04 08:38:47', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2024-06-04 08:38:47', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2024-06-04 08:38:47', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2024-06-04 08:38:47', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2024-06-04 08:38:47', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2024-06-04 08:38:47', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2024-06-04 08:38:47', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2024-06-04 08:38:47', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2024-06-04 08:38:48', '', NULL, '登录状态列表');
INSERT INTO `sys_dict_type` VALUES (100, '数据类型', 'biz_data_type', '0', 'admin', '2024-08-19 12:45:16', '', NULL, '数据类型');
INSERT INTO `sys_dict_type` VALUES (101, '算法类型', 'biz_alg_type', '0', 'admin', '2024-08-19 12:46:03', '', NULL, '算法类型');
INSERT INTO `sys_dict_type` VALUES (102, '任务状态', 'biz_process_status', '0', 'admin', '2024-08-20 02:10:41', '', NULL, '任务状态');
INSERT INTO `sys_dict_type` VALUES (103, '预处理算法类型', 'biz_preaglo_type', '0', 'admin', '2024-08-28 06:47:36', 'admin', '2024-08-28 06:47:53', '预处理算法类型');

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '定时任务调度表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_job
-- ----------------------------

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  INDEX `idx_sys_logininfor_s`(`status`) USING BTREE,
  INDEX `idx_sys_logininfor_lt`(`login_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '系统访问记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '路由参数',
  `is_frame` int NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2068 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '菜单权限表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 5, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-06-04 08:38:43', 'admin', '2024-08-21 03:17:45', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 7, 'monitor', NULL, '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2024-06-04 08:38:44', 'admin', '2024-08-21 03:16:52', '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 6, 'tool', NULL, '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2024-06-04 08:38:44', 'admin', '2024-08-21 03:17:50', '系统工具目录');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 2, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-06-04 08:38:44', 'admin', '2024-08-21 03:19:00', '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2024-06-04 08:38:44', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2024-06-04 08:38:44', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2024-06-04 08:38:44', '', NULL, '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2024-06-04 08:38:44', '', NULL, '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2024-06-04 08:38:44', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2024-06-04 08:38:44', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2024-06-04 08:38:44', '', NULL, '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2024-06-04 08:38:44', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-06-04 08:38:44', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-06-04 08:38:44', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2024-06-04 08:38:44', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2024-06-04 08:38:44', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2024-06-04 08:38:44', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-06-04 08:38:44', '', NULL, '缓存列表菜单');
INSERT INTO `sys_menu` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2024-06-04 08:38:44', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2024-06-04 08:38:44', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-06-04 08:38:44', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-06-04 08:38:44', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-06-04 08:38:44', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '部门查询', 103, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门新增', 103, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门修改', 103, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门删除', 103, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-06-04 08:38:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 116, 1, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 116, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 116, 3, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 116, 4, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 116, 5, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 116, 6, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-06-04 08:38:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2000, '算法管理', 1, 1, 'algoManager', NULL, NULL, 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2024-06-04 10:26:36', 'admin', '2024-08-21 03:18:52', '');
INSERT INTO `sys_menu` VALUES (2001, '算法配置', 1, 0, 'conf', NULL, NULL, 1, 0, 'M', '0', '0', '', 'redis-list', 'admin', '2024-06-04 10:28:10', 'admin', '2024-08-21 03:18:40', '');
INSERT INTO `sys_menu` VALUES (2002, '数据处理old', 2000, 1, 'algorithm', 'algoManager/algorithm/index', NULL, 1, 0, 'C', '1', '0', 'algoManager:algorithm:list', '#', 'admin', '2024-06-04 10:34:33', 'admin', '2024-08-19 13:30:40', '算法菜单');
INSERT INTO `sys_menu` VALUES (2003, '算法查询', 2002, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'algoManager:algorithm:query', '#', 'admin', '2024-06-04 10:34:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2004, '算法新增', 2002, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'algoManager:algorithm:add', '#', 'admin', '2024-06-04 10:34:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2005, '算法修改', 2002, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'algoManager:algorithm:edit', '#', 'admin', '2024-06-04 10:34:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2006, '算法删除', 2002, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'algoManager:algorithm:remove', '#', 'admin', '2024-06-04 10:34:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2007, '算法导出', 2002, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'algoManager:algorithm:export', '#', 'admin', '2024-06-04 10:34:34', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2008, '算法输入输出字段', 2001, 2, 'field', 'conf/field/index', NULL, 1, 0, 'C', '1', '0', 'conf:field:list', '#', 'admin', '2024-06-04 11:40:27', 'admin', '2024-08-19 13:27:09', '算法输入输出字段菜单');
INSERT INTO `sys_menu` VALUES (2009, '算法输入输出字段查询', 2008, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'conf:field:query', '#', 'admin', '2024-06-04 11:40:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2010, '算法输入输出字段新增', 2008, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'conf:field:add', '#', 'admin', '2024-06-04 11:40:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2011, '算法输入输出字段修改', 2008, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'conf:field:edit', '#', 'admin', '2024-06-04 11:40:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2012, '算法输入输出字段删除', 2008, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'conf:field:remove', '#', 'admin', '2024-06-04 11:40:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2013, '算法输入输出字段导出', 2008, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'conf:field:export', '#', 'admin', '2024-06-04 11:40:27', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2014, '算法子类型', 2001, 1, 'subType', 'conf/subType/index', NULL, 1, 0, 'C', '1', '0', 'conf:subType:list', '#', 'admin', '2024-06-04 11:41:03', 'admin', '2024-08-19 13:27:04', '算法子类型菜单');
INSERT INTO `sys_menu` VALUES (2015, '算法子类型查询', 2014, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'conf:subType:query', '#', 'admin', '2024-06-04 11:41:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2016, '算法子类型新增', 2014, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'conf:subType:add', '#', 'admin', '2024-06-04 11:41:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2017, '算法子类型修改', 2014, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'conf:subType:edit', '#', 'admin', '2024-06-04 11:41:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2018, '算法子类型删除', 2014, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'conf:subType:remove', '#', 'admin', '2024-06-04 11:41:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2019, '算法子类型导出', 2014, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'conf:subType:export', '#', 'admin', '2024-06-04 11:41:03', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2020, '数据管理', 2000, 4, 'file', 'algoManager/file/index', NULL, 1, 0, 'C', '1', '0', 'algoManager:file:list', '#', 'admin', '2024-06-05 09:02:16', 'admin', '2024-08-19 13:26:53', '数据管理菜单');
INSERT INTO `sys_menu` VALUES (2021, '数据管理查询', 2020, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'algoManager:file:query', '#', 'admin', '2024-06-05 09:02:17', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2022, '数据管理新增', 2020, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'algoManager:file:add', '#', 'admin', '2024-06-05 09:02:17', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2023, '数据管理修改', 2020, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'algoManager:file:edit', '#', 'admin', '2024-06-05 09:02:17', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2024, '数据管理删除', 2020, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'algoManager:file:remove', '#', 'admin', '2024-06-05 09:02:17', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2025, '数据管理导出', 2020, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'algoManager:file:export', '#', 'admin', '2024-06-05 09:02:17', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2026, '特征提取', 0, 1, 'featureExtraction', 'system/process/index', '{\"type\":3}', 1, 0, 'C', '0', '0', 'system:process:list', 'skill', 'admin', '2024-06-05 12:31:24', 'admin', '2024-08-22 06:55:22', '特征提取菜单');
INSERT INTO `sys_menu` VALUES (2027, '特征提取查询', 2026, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:process:query', '#', 'admin', '2024-06-05 12:31:24', 'admin', '2024-08-22 07:03:47', '');
INSERT INTO `sys_menu` VALUES (2028, '特征提取新增', 2026, 2, '#', '', NULL, 1, 0, 'F', '0', '0', ' system:process:add', '#', 'admin', '2024-06-05 12:31:24', 'admin', '2024-08-22 07:04:01', '');
INSERT INTO `sys_menu` VALUES (2029, '特征提取修改', 2026, 3, '#', '', NULL, 1, 0, 'F', '0', '0', ' system:process:edit', '#', 'admin', '2024-06-05 12:31:24', 'admin', '2024-08-22 07:04:13', '');
INSERT INTO `sys_menu` VALUES (2030, '特征提取删除', 2026, 4, '#', '', NULL, 1, 0, 'F', '0', '0', ' system:process:remove', '#', 'admin', '2024-06-05 12:31:24', 'admin', '2024-08-22 07:04:20', '');
INSERT INTO `sys_menu` VALUES (2031, '特征提取导出', 2026, 5, '#', '', NULL, 1, 0, 'F', '0', '0', ' system:process:export', '#', 'admin', '2024-06-05 12:31:24', 'admin', '2024-08-22 07:04:28', '');
INSERT INTO `sys_menu` VALUES (2032, '故障预测', 0, 3, 'faultPrediction', 'system/process/index', '{\"type\":5}', 1, 0, 'C', '0', '0', 'system:process:list', 'druid', 'admin', '2024-06-05 12:35:06', 'admin', '2024-08-22 07:22:03', '故障预测菜单');
INSERT INTO `sys_menu` VALUES (2033, '故障预测查询', 2032, 1, '#', '', NULL, 1, 0, 'F', '0', '0', ' system:process:query', '#', 'admin', '2024-06-05 12:35:06', 'admin', '2024-08-22 07:04:41', '');
INSERT INTO `sys_menu` VALUES (2034, '故障预测新增', 2032, 2, '#', '', NULL, 1, 0, 'F', '0', '0', ' system:process:add', '#', 'admin', '2024-06-05 12:35:06', 'admin', '2024-08-22 07:04:53', '');
INSERT INTO `sys_menu` VALUES (2035, '故障预测修改', 2032, 3, '#', '', NULL, 1, 0, 'F', '0', '0', ' system:process:edit', '#', 'admin', '2024-06-05 12:35:06', 'admin', '2024-08-22 07:04:59', '');
INSERT INTO `sys_menu` VALUES (2036, '故障预测删除', 2032, 4, '#', '', NULL, 1, 0, 'F', '0', '0', ' system:process:remove', '#', 'admin', '2024-06-05 12:35:06', 'admin', '2024-08-22 07:05:08', '');
INSERT INTO `sys_menu` VALUES (2037, '故障预测导出', 2032, 5, '#', '', NULL, 1, 0, 'F', '0', '0', ' system:process:export', '#', 'admin', '2024-06-05 12:35:06', 'admin', '2024-08-22 07:05:15', '');
INSERT INTO `sys_menu` VALUES (2038, '数据处理', 0, 0, 'process', 'system/process/index', NULL, 1, 0, 'C', '1', '0', 'system:process:list', 'textarea', 'admin', '2024-08-19 12:59:50', 'admin', '2024-08-22 11:11:46', '数据处理菜单');
INSERT INTO `sys_menu` VALUES (2039, '数据处理查询', 2038, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:process:query', '#', 'admin', '2024-08-19 12:59:50', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2040, '数据处理新增', 2038, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:process:add', '#', 'admin', '2024-08-19 12:59:50', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2041, '数据处理修改', 2038, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:process:edit', '#', 'admin', '2024-08-19 12:59:50', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2042, '数据处理删除', 2038, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:process:remove', '#', 'admin', '2024-08-19 12:59:50', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2043, '数据处理导出', 2038, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:process:export', '#', 'admin', '2024-08-19 12:59:50', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2044, '数据管理', 2000, 1, 'data', 'system/data/index', NULL, 1, 0, 'C', '0', '0', 'system:data:list', '#', 'admin', '2024-08-19 13:01:45', '', NULL, '数据管理菜单');
INSERT INTO `sys_menu` VALUES (2045, '数据管理查询', 2044, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:data:query', '#', 'admin', '2024-08-19 13:01:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2046, '数据管理新增', 2044, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:data:add', '#', 'admin', '2024-08-19 13:01:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2047, '数据管理修改', 2044, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:data:edit', '#', 'admin', '2024-08-19 13:01:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2048, '数据管理删除', 2044, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:data:remove', '#', 'admin', '2024-08-19 13:01:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2049, '数据管理导出', 2044, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:data:export', '#', 'admin', '2024-08-19 13:01:45', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2050, '算法配置', 2001, 1, 'algConfig', 'system/algConfig/index', NULL, 1, 0, 'C', '0', '0', 'system:algConfig:list', '#', 'admin', '2024-08-19 13:02:10', '', NULL, '算法配置菜单');
INSERT INTO `sys_menu` VALUES (2051, '算法配置查询', 2050, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:algConfig:query', '#', 'admin', '2024-08-19 13:02:10', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2052, '算法配置新增', 2050, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:algConfig:add', '#', 'admin', '2024-08-19 13:02:10', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2053, '算法配置修改', 2050, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:algConfig:edit', '#', 'admin', '2024-08-19 13:02:10', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2054, '算法配置删除', 2050, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:algConfig:remove', '#', 'admin', '2024-08-19 13:02:10', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2055, '算法配置导出', 2050, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'system:algConfig:export', '#', 'admin', '2024-08-19 13:02:10', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2056, '退化评估', 0, 2, 'assessment', 'system/process/index', '{\"type\":4}', 1, 0, 'C', '0', '0', 'system:process:list', 'job', 'admin', '2024-08-22 07:00:35', 'admin', '2024-08-22 07:09:55', '');
INSERT INTO `sys_menu` VALUES (2057, '退化评估查询', 2056, 1, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:process:query', '#', 'admin', '2024-08-22 07:05:46', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2058, '退化评估新增', 2056, 2, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:process:add', '#', 'admin', '2024-08-22 07:06:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2059, '退化评估修改', 2056, 3, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:process:edit', '#', 'admin', '2024-08-22 07:06:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2060, '退化评估删除', 2056, 4, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:process:remove', '#', 'admin', '2024-08-22 07:07:44', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2061, '退化评估导出', 2056, 5, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:process:export', '#', 'admin', '2024-08-22 07:08:13', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2062, '数据预处理', 0, 0, 'preprocess', 'system/preprocess/index', NULL, 1, 0, 'C', '0', '0', 'system:preprocess:list', 'monitor', 'admin', '2024-08-22 11:08:10', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2063, '数据预处理新增', 2062, 2, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:preprocess:add', '#', 'admin', '2024-08-22 11:08:59', 'admin', '2024-08-22 11:10:24', '');
INSERT INTO `sys_menu` VALUES (2064, '数据预处理修改', 2062, 3, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:preprocess:edit', '#', 'admin', '2024-08-22 11:09:39', 'admin', '2024-08-22 11:10:20', '');
INSERT INTO `sys_menu` VALUES (2065, '数据预处理删除', 2062, 4, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:preprocess:remove', '#', 'admin', '2024-08-22 11:10:13', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2066, '数据预处理查询', 2062, 1, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:preprocess:query', '#', 'admin', '2024-08-22 11:10:59', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2067, '数据预处理导出', 2062, 5, '', NULL, NULL, 1, 0, 'F', '0', '0', 'system:preprocess:export', '#', 'admin', '2024-08-22 11:11:27', '', NULL, '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '通知公告表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB9, '0', 'admin', '2024-06-04 08:38:49', '', NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2024-06-04 08:38:49', '', NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint NULL DEFAULT 0 COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  INDEX `idx_sys_oper_log_bt`(`business_type`) USING BTREE,
  INDEX `idx_sys_oper_log_s`(`status`) USING BTREE,
  INDEX `idx_sys_oper_log_ot`(`oper_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 536 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '操作日志记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '岗位信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2024-06-04 08:38:43', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2024-06-04 08:38:43', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2024-06-04 08:38:43', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2024-06-04 08:38:43', '', NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '角色信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-06-04 08:38:43', '', NULL, '超级管理员');
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-06-04 08:38:43', '', NULL, '普通角色');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `dept_id` bigint NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '角色和部门关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `menu_id` bigint NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 2);
INSERT INTO `sys_role_menu` VALUES (2, 3);
INSERT INTO `sys_role_menu` VALUES (2, 4);
INSERT INTO `sys_role_menu` VALUES (2, 100);
INSERT INTO `sys_role_menu` VALUES (2, 101);
INSERT INTO `sys_role_menu` VALUES (2, 102);
INSERT INTO `sys_role_menu` VALUES (2, 103);
INSERT INTO `sys_role_menu` VALUES (2, 104);
INSERT INTO `sys_role_menu` VALUES (2, 105);
INSERT INTO `sys_role_menu` VALUES (2, 106);
INSERT INTO `sys_role_menu` VALUES (2, 107);
INSERT INTO `sys_role_menu` VALUES (2, 108);
INSERT INTO `sys_role_menu` VALUES (2, 109);
INSERT INTO `sys_role_menu` VALUES (2, 110);
INSERT INTO `sys_role_menu` VALUES (2, 111);
INSERT INTO `sys_role_menu` VALUES (2, 112);
INSERT INTO `sys_role_menu` VALUES (2, 113);
INSERT INTO `sys_role_menu` VALUES (2, 114);
INSERT INTO `sys_role_menu` VALUES (2, 115);
INSERT INTO `sys_role_menu` VALUES (2, 116);
INSERT INTO `sys_role_menu` VALUES (2, 117);
INSERT INTO `sys_role_menu` VALUES (2, 500);
INSERT INTO `sys_role_menu` VALUES (2, 501);
INSERT INTO `sys_role_menu` VALUES (2, 1000);
INSERT INTO `sys_role_menu` VALUES (2, 1001);
INSERT INTO `sys_role_menu` VALUES (2, 1002);
INSERT INTO `sys_role_menu` VALUES (2, 1003);
INSERT INTO `sys_role_menu` VALUES (2, 1004);
INSERT INTO `sys_role_menu` VALUES (2, 1005);
INSERT INTO `sys_role_menu` VALUES (2, 1006);
INSERT INTO `sys_role_menu` VALUES (2, 1007);
INSERT INTO `sys_role_menu` VALUES (2, 1008);
INSERT INTO `sys_role_menu` VALUES (2, 1009);
INSERT INTO `sys_role_menu` VALUES (2, 1010);
INSERT INTO `sys_role_menu` VALUES (2, 1011);
INSERT INTO `sys_role_menu` VALUES (2, 1012);
INSERT INTO `sys_role_menu` VALUES (2, 1013);
INSERT INTO `sys_role_menu` VALUES (2, 1014);
INSERT INTO `sys_role_menu` VALUES (2, 1015);
INSERT INTO `sys_role_menu` VALUES (2, 1016);
INSERT INTO `sys_role_menu` VALUES (2, 1017);
INSERT INTO `sys_role_menu` VALUES (2, 1018);
INSERT INTO `sys_role_menu` VALUES (2, 1019);
INSERT INTO `sys_role_menu` VALUES (2, 1020);
INSERT INTO `sys_role_menu` VALUES (2, 1021);
INSERT INTO `sys_role_menu` VALUES (2, 1022);
INSERT INTO `sys_role_menu` VALUES (2, 1023);
INSERT INTO `sys_role_menu` VALUES (2, 1024);
INSERT INTO `sys_role_menu` VALUES (2, 1025);
INSERT INTO `sys_role_menu` VALUES (2, 1026);
INSERT INTO `sys_role_menu` VALUES (2, 1027);
INSERT INTO `sys_role_menu` VALUES (2, 1028);
INSERT INTO `sys_role_menu` VALUES (2, 1029);
INSERT INTO `sys_role_menu` VALUES (2, 1030);
INSERT INTO `sys_role_menu` VALUES (2, 1031);
INSERT INTO `sys_role_menu` VALUES (2, 1032);
INSERT INTO `sys_role_menu` VALUES (2, 1033);
INSERT INTO `sys_role_menu` VALUES (2, 1034);
INSERT INTO `sys_role_menu` VALUES (2, 1035);
INSERT INTO `sys_role_menu` VALUES (2, 1036);
INSERT INTO `sys_role_menu` VALUES (2, 1037);
INSERT INTO `sys_role_menu` VALUES (2, 1038);
INSERT INTO `sys_role_menu` VALUES (2, 1039);
INSERT INTO `sys_role_menu` VALUES (2, 1040);
INSERT INTO `sys_role_menu` VALUES (2, 1041);
INSERT INTO `sys_role_menu` VALUES (2, 1042);
INSERT INTO `sys_role_menu` VALUES (2, 1043);
INSERT INTO `sys_role_menu` VALUES (2, 1044);
INSERT INTO `sys_role_menu` VALUES (2, 1045);
INSERT INTO `sys_role_menu` VALUES (2, 1046);
INSERT INTO `sys_role_menu` VALUES (2, 1047);
INSERT INTO `sys_role_menu` VALUES (2, 1048);
INSERT INTO `sys_role_menu` VALUES (2, 1049);
INSERT INTO `sys_role_menu` VALUES (2, 1050);
INSERT INTO `sys_role_menu` VALUES (2, 1051);
INSERT INTO `sys_role_menu` VALUES (2, 1052);
INSERT INTO `sys_role_menu` VALUES (2, 1053);
INSERT INTO `sys_role_menu` VALUES (2, 1054);
INSERT INTO `sys_role_menu` VALUES (2, 1055);
INSERT INTO `sys_role_menu` VALUES (2, 1056);
INSERT INTO `sys_role_menu` VALUES (2, 1057);
INSERT INTO `sys_role_menu` VALUES (2, 1058);
INSERT INTO `sys_role_menu` VALUES (2, 1059);
INSERT INTO `sys_role_menu` VALUES (2, 1060);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '用户信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 103, 'admin', 'admin', '00', 'ry@163.com', '15888888888', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-09-27 16:45:20', 'admin', '2024-06-04 08:38:43', '', '2024-09-27 08:45:19', '管理员');

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `post_id` bigint NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `role_id` bigint NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '用户和角色关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);

-- ----------------------------
-- Table structure for t_alg_config
-- ----------------------------
DROP TABLE IF EXISTS `t_alg_config`;
CREATE TABLE `t_alg_config`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `alg_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '算法名称',
  `alg_type` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '算发类型（1补全，2扩充，3特称提取，4退化评估，5故障预测）',
  `alg_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT '处理的算法',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 28 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '算法配置表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_alg_config
-- ----------------------------
INSERT INTO `t_alg_config` VALUES (1, '平均值填充', '0', 'http://127.0.0.1:10009/ave_data', '', '2024-08-28 15:21:15', '', '2024-09-25 13:35:07', NULL);
INSERT INTO `t_alg_config` VALUES (2, '中位数填充', '0', 'http://127.0.0.1:10009/upper_data', '', '2024-08-28 15:38:25', '', '2024-09-25 13:35:03', NULL);
INSERT INTO `t_alg_config` VALUES (3, '众数填充', '0', 'http://127.0.0.1:10009/mode_data', '', '2024-08-28 15:38:48', '', '2024-09-25 13:34:59', NULL);
INSERT INTO `t_alg_config` VALUES (4, '常数填充', '0', 'http://127.0.0.1:10009/constant_data', '', '2024-08-28 15:39:06', '', '2024-09-25 13:34:53', NULL);
INSERT INTO `t_alg_config` VALUES (5, 'K-最近邻填充', '0', 'http://127.0.0.1:10009/K_data', '', '2024-08-28 15:39:20', '', '2024-09-25 13:34:49', NULL);
INSERT INTO `t_alg_config` VALUES (6, '随机采样', '2', 'http://127.0.0.1:10001/random', '', '2024-08-28 15:39:35', '', '2024-09-25 13:34:45', NULL);
INSERT INTO `t_alg_config` VALUES (7, '数据扰动', '2', 'http://127.0.0.1:10001/perturbation', '', '2024-08-28 15:39:52', '', '2024-09-25 13:34:41', NULL);
INSERT INTO `t_alg_config` VALUES (8, 'Wavelet变换', '2', 'http://127.0.0.1:10001/Wavelet', '', '2024-08-28 15:40:09', '', '2024-09-25 13:34:37', NULL);
INSERT INTO `t_alg_config` VALUES (9, '小波系数扰动', '2', 'http://127.0.0.1:10001/coefficient', '', '2024-08-28 15:40:27', '', '2024-09-25 13:34:32', NULL);
INSERT INTO `t_alg_config` VALUES (10, '小波线性插值', '2', 'http://127.0.0.1:10001/interpolation', '', '2024-08-28 15:40:45', '', '2024-09-25 13:34:28', NULL);
INSERT INTO `t_alg_config` VALUES (11, '基本统计特征', '3', 'http://127.0.0.1:10002/statistical', '', '2024-08-28 15:41:45', '', '2024-09-25 13:34:24', NULL);
INSERT INTO `t_alg_config` VALUES (12, '时间域特征', '3', 'http://127.0.0.1:10002/time', '', '2024-08-28 15:42:00', '', '2024-09-25 13:34:19', NULL);
INSERT INTO `t_alg_config` VALUES (13, '频域特征', '3', 'http://127.0.0.1:10002/frequency', '', '2024-08-28 15:42:19', '', '2024-09-25 13:34:15', NULL);
INSERT INTO `t_alg_config` VALUES (14, '时频域特征', '3', 'http://127.0.0.1:10002/time-frequency', '', '2024-08-28 15:42:35', '', '2024-09-25 13:34:10', NULL);
INSERT INTO `t_alg_config` VALUES (15, '形态学特征', '3', 'http://127.0.0.1:10002/morphology', '', '2024-08-28 15:42:52', '', '2024-09-25 13:34:05', NULL);
INSERT INTO `t_alg_config` VALUES (16, '特征值聚类分析', '4', 'http://127.0.0.1:10005/cluster_analysis', '', '2024-08-28 15:43:32', '', '2024-09-25 13:34:01', NULL);
INSERT INTO `t_alg_config` VALUES (17, '基于统计的方法', '4', 'http://127.0.0.1:10005/analyze_features', '', '2024-08-28 15:44:02', '', '2024-09-25 13:33:57', NULL);
INSERT INTO `t_alg_config` VALUES (18, '基于趋势分析法', '4', 'http://127.0.0.1:10005/trend_analysis', '', '2024-08-28 15:44:25', '', '2024-09-25 13:33:53', NULL);
INSERT INTO `t_alg_config` VALUES (19, '基于时间序列分析', '4', 'http://127.0.0.1:10005/time_series_analysis', '', '2024-08-28 15:44:45', '', '2024-09-25 13:33:48', NULL);
INSERT INTO `t_alg_config` VALUES (20, '频域分析', '4', 'http://127.0.0.1:10005/fft_analysis', '', '2024-08-28 15:58:20', '', '2024-09-25 13:33:43', NULL);
INSERT INTO `t_alg_config` VALUES (21, '移动平均法', '1', 'http://127.0.0.1:10004/moving_average', '', '2024-08-28 15:58:44', '', '2024-09-25 13:33:39', NULL);
INSERT INTO `t_alg_config` VALUES (22, '傅里叶变换去噪', '1', 'http://127.0.0.1:10004/fft_denoise', '', '2024-08-28 15:59:07', '', '2024-09-25 13:33:35', NULL);
INSERT INTO `t_alg_config` VALUES (23, '卡尔曼滤波去噪', '1', 'http://127.0.0.1:10004/kalman_denoise', '', '2024-08-28 15:59:22', '', '2024-09-25 13:33:30', NULL);
INSERT INTO `t_alg_config` VALUES (24, 'PCA + K-means 聚类', '5', 'http://127.0.0.1:10003/pca_kmeans', '', '2024-09-25 15:43:05', '', NULL, NULL);
INSERT INTO `t_alg_config` VALUES (25, '自编码器', '5', 'http://127.0.0.1:10003/autoencoder', '', '2024-09-25 15:43:33', '', NULL, NULL);
INSERT INTO `t_alg_config` VALUES (26, '高斯混合模型(GMM)', '5', 'http://127.0.0.1:10003/gmm_clustering', '', '2024-09-25 15:44:13', '', NULL, NULL);
INSERT INTO `t_alg_config` VALUES (27, '孤立森林(Isolation Forest)', '5', 'http://127.0.0.1:10003/iforestation', '', '2024-09-25 15:44:33', '', NULL, NULL);
INSERT INTO `t_alg_config` VALUES (28, '变分自编码器(Variational AutoEncoder, VAE)', '5', 'http://127.0.0.1:10003/vae', '', '2024-09-25 15:45:18', '', NULL, NULL);

-- ----------------------------
-- Table structure for t_algorithm
-- ----------------------------
DROP TABLE IF EXISTS `t_algorithm`;
CREATE TABLE `t_algorithm`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `type` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '算法类型',
  `sub_type_id` bigint NOT NULL COMMENT '子类型id',
  `name` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '名称',
  `status` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '算法运行状态',
  `error` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '算法错误原因',
  `sub_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '算法子类型名称',
  `start_time` datetime NULL DEFAULT NULL COMMENT '开始时间',
  `completed_time` datetime NULL DEFAULT NULL COMMENT '完成时间',
  `cost_second` int NULL DEFAULT NULL COMMENT '耗时(s)',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '算法表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_algorithm
-- ----------------------------
INSERT INTO `t_algorithm` VALUES (2, '2', 3, 'FUNmain1', '2', NULL, NULL, '2024-06-05 20:44:07', '2024-06-05 20:44:25', 18, '', '2024-06-05 20:43:58', '', NULL, NULL);
INSERT INTO `t_algorithm` VALUES (4, '4', 4, 'turn-fine1', '2', NULL, NULL, '2024-06-05 20:58:03', '2024-06-05 20:58:39', 36, '', '2024-06-05 20:57:57', '', NULL, NULL);
INSERT INTO `t_algorithm` VALUES (5, '5', 1, 'GWO-SVM1', '2', NULL, NULL, '2024-06-05 21:00:30', '2024-06-05 21:00:37', 7, '', '2024-06-05 21:00:25', '', NULL, NULL);
INSERT INTO `t_algorithm` VALUES (6, '6', 5, 'GWO-SVR1', '2', NULL, NULL, '2024-06-05 21:06:16', '2024-06-05 21:06:30', 14, '', '2024-06-05 21:06:11', '', NULL, NULL);

-- ----------------------------
-- Table structure for t_algorithm_io_field
-- ----------------------------
DROP TABLE IF EXISTS `t_algorithm_io_field`;
CREATE TABLE `t_algorithm_io_field`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `algorithm_sub_id` bigint NOT NULL COMMENT '算法子类型编号',
  `type` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '输入/输出',
  `name` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '名称',
  `index` int NULL DEFAULT 0 COMMENT '排序',
  `sub_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '算法子类型名称',
  `matlab_io_path` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT 'matlab文件独有的输入输入路径',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '算法输入输出字段表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_algorithm_io_field
-- ----------------------------
INSERT INTO `t_algorithm_io_field` VALUES (1, 1, '1', 'input1', 1, NULL, 'D:\\pdaaphm\\data\\matlab\\GWO_SVM_exmp', '', '2024-06-05 17:31:01', '', NULL, NULL);
INSERT INTO `t_algorithm_io_field` VALUES (2, 1, '2', 'output1', 1, NULL, 'D:\\pdaaphm\\data\\matlab\\GWO_SVM_exmp', '', '2024-06-05 17:32:49', '', NULL, NULL);
INSERT INTO `t_algorithm_io_field` VALUES (3, 1, '2', 'output2', 2, NULL, 'D:\\pdaaphm\\data\\matlab\\GWO_SVM_exmp', '', '2024-06-05 17:33:01', '', '2024-06-05 17:33:09', NULL);
INSERT INTO `t_algorithm_io_field` VALUES (4, 3, '1', 'input1', 1, NULL, 'D:\\pdaaphm\\data\\matlab\\FUNmain', '', '2024-06-05 20:40:46', '', NULL, NULL);
INSERT INTO `t_algorithm_io_field` VALUES (5, 3, '2', 'output1', 1, NULL, 'D:\\pdaaphm\\data\\matlab\\FUNmain', '', '2024-06-05 20:40:59', '', NULL, NULL);
INSERT INTO `t_algorithm_io_field` VALUES (6, 3, '2', 'output2', 2, NULL, 'D:\\pdaaphm\\data\\matlab\\FUNmain', '', '2024-06-05 20:41:11', '', NULL, NULL);
INSERT INTO `t_algorithm_io_field` VALUES (7, 3, '2', 'output3', 3, NULL, 'D:\\pdaaphm\\data\\matlab\\FUNmain', '', '2024-06-05 20:41:21', '', NULL, NULL);
INSERT INTO `t_algorithm_io_field` VALUES (8, 4, '1', 'input1', 1, NULL, NULL, '', '2024-06-05 20:50:41', '', NULL, NULL);
INSERT INTO `t_algorithm_io_field` VALUES (9, 4, '2', 'output1', 1, NULL, NULL, '', '2024-06-05 20:50:54', '', NULL, NULL);
INSERT INTO `t_algorithm_io_field` VALUES (10, 5, '1', 'input1', 1, NULL, 'D:\\pdaaphm\\data\\matlab\\GWO_SVR_exmp', '', '2024-06-05 21:04:39', '', NULL, NULL);
INSERT INTO `t_algorithm_io_field` VALUES (11, 5, '2', 'output1', 1, NULL, 'D:\\pdaaphm\\data\\matlab\\GWO_SVR_exmp', '', '2024-06-05 21:04:54', '', NULL, NULL);
INSERT INTO `t_algorithm_io_field` VALUES (12, 5, '2', 'output2', 2, NULL, 'D:\\pdaaphm\\data\\matlab\\GWO_SVR_exmp', '', '2024-06-05 21:05:08', '', NULL, NULL);
INSERT INTO `t_algorithm_io_field` VALUES (13, 5, '2', 'output3', 3, NULL, 'D:\\pdaaphm\\data\\matlab\\GWO_SVR_exmp', '', '2024-06-05 21:05:16', '', NULL, NULL);

-- ----------------------------
-- Table structure for t_algorithm_sub_type
-- ----------------------------
DROP TABLE IF EXISTS `t_algorithm_sub_type`;
CREATE TABLE `t_algorithm_sub_type`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `type` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '类型',
  `name` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '算法子名称',
  `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '算法url',
  `run_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '运行类型',
  `data_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '数据类型',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '算法子类型表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_algorithm_sub_type
-- ----------------------------
INSERT INTO `t_algorithm_sub_type` VALUES (1, '5', 'GWO-SVM', 'D:\\pdaaphm\\matlabexe\\GWO_SVM_exmp.exe', '2', '0', '', '2024-06-05 17:25:29', '', NULL, NULL);
INSERT INTO `t_algorithm_sub_type` VALUES (3, '2', '纯数据驱动【多项式】_FUNmain', 'D:\\pdaaphm\\matlabexe\\FUNmain.exe', '2', '4', '', '2024-06-05 20:40:12', '', NULL, NULL);
INSERT INTO `t_algorithm_sub_type` VALUES (4, '4', 'turn-fine迁移学习寿命预测(氧分压信号预测)', 'http://127.0.0.1:10005', '1', '4', '', '2024-06-05 20:49:52', '', NULL, NULL);
INSERT INTO `t_algorithm_sub_type` VALUES (5, '6', 'GWO-SVR', 'D:\\pdaaphm\\matlabexe\\GWO_SVR_exmp.exe', '2', '0', '', '2024-06-05 21:04:25', '', NULL, NULL);

-- ----------------------------
-- Table structure for t_data
-- ----------------------------
DROP TABLE IF EXISTS `t_data`;
CREATE TABLE `t_data`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `data_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '数据名称',
  `data_type` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '数据类型（1原始，2补全结果，3扩充结果，4特称提取结果，5退化评估结果，6故障预测结果）',
  `data_path` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '数据路径',
  `image_path` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '图片路径',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '数据存储表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_data_process
-- ----------------------------
DROP TABLE IF EXISTS `t_data_process`;
CREATE TABLE `t_data_process`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `process_type` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '数据类型（1补全，2扩充，3特称提取，4退化评估，5故障预测）',
  `process_alg_id` bigint NOT NULL COMMENT '处理的算法id',
  `processed_data_id` bigint NOT NULL COMMENT '被处理数据id',
  `result_data_id` bigint NULL DEFAULT NULL COMMENT '处理结果数据id',
  `process_status` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '状态（1待处理，2处理中，3已完成，4失败）',
  `start_time` datetime NULL DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime NULL DEFAULT NULL COMMENT '结束时间',
  `log` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL COMMENT '日志',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '数据处理表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_file
-- ----------------------------
DROP TABLE IF EXISTS `t_file`;
CREATE TABLE `t_file`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '文档名称',
  `path` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '文档路径',
  `type` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '类型',
  `data_type` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '数据类型',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 19 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '文件表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_file
-- ----------------------------
INSERT INTO `t_file` VALUES (1, 'FUNmain_input1.mat', '/profile/upload/2024/06/05/input1_20240605170646A001.mat', '1', '4', '', '2024-06-05 17:20:56', '', '2024-06-05 20:43:34', NULL);
INSERT INTO `t_file` VALUES (2, 'result1_20240605173719A002.txt', '/resultPath/result/2024/06/05/result1_20240605173719A002.txt', '2', NULL, '', '2024-06-05 17:37:52', '', NULL, NULL);
INSERT INTO `t_file` VALUES (3, 'result2_20240605173719A003.jpg', '/resultPath/result/2024/06/05/result2_20240605173719A003.jpg', '2', NULL, '', '2024-06-05 17:37:53', '', NULL, NULL);
INSERT INTO `t_file` VALUES (4, 'result1_20240605173821A004.txt', '/resultPath/result/2024/06/05/result1_20240605173821A004.txt', '2', NULL, '', '2024-06-05 17:38:28', '', NULL, NULL);
INSERT INTO `t_file` VALUES (5, 'result2_20240605173821A005.jpg', '/resultPath/result/2024/06/05/result2_20240605173821A005.jpg', '2', NULL, '', '2024-06-05 17:38:28', '', NULL, NULL);
INSERT INTO `t_file` VALUES (6, 'GWO-SVM_input1.mat', '/profile/upload/2024/06/05/input1_20240605204202A006.mat', '1', '0', '', '2024-06-05 20:42:03', '', '2024-06-05 20:43:29', NULL);
INSERT INTO `t_file` VALUES (7, 'result1_20240605204406A007.txt', '/resultPath/result/2024/06/05/result1_20240605204406A007.txt', '2', NULL, '', '2024-06-05 20:44:25', '', NULL, NULL);
INSERT INTO `t_file` VALUES (8, 'result2_20240605204406A008.jpg', '/resultPath/result/2024/06/05/result2_20240605204406A008.jpg', '2', NULL, '', '2024-06-05 20:44:25', '', NULL, NULL);
INSERT INTO `t_file` VALUES (9, 'result3_20240605204406A009.jpg', '/resultPath/result/2024/06/05/result3_20240605204406A009.jpg', '2', NULL, '', '2024-06-05 20:44:25', '', NULL, NULL);
INSERT INTO `t_file` VALUES (10, 'result1_20240605204538A010.txt', '/resultPath/result/2024/06/05/result1_20240605204538A010.txt', '2', NULL, '', '2024-06-05 20:45:45', '', NULL, NULL);
INSERT INTO `t_file` VALUES (11, 'result2_20240605204538A011.jpg', '/resultPath/result/2024/06/05/result2_20240605204538A011.jpg', '2', NULL, '', '2024-06-05 20:45:45', '', NULL, NULL);
INSERT INTO `t_file` VALUES (12, '氧浓器氧分压变化数据.csv', '/profile/upload/2024/06/05/氧浓器氧分压变化数据_20240605204924A012.csv', '1', '4', '', '2024-06-05 20:49:27', '', NULL, NULL);
INSERT INTO `t_file` VALUES (13, 'result1_20240605205802A016.jpg', '/resultPath/result/2024/06/05/result1_20240605205802A016.jpg', '2', NULL, '', '2024-06-05 20:58:39', '', NULL, NULL);
INSERT INTO `t_file` VALUES (14, 'result1_20240605210030A017.txt', '/resultPath/result/2024/06/05/result1_20240605210030A017.txt', '2', NULL, '', '2024-06-05 21:00:37', '', NULL, NULL);
INSERT INTO `t_file` VALUES (15, 'result2_20240605210030A018.jpg', '/resultPath/result/2024/06/05/result2_20240605210030A018.jpg', '2', NULL, '', '2024-06-05 21:00:37', '', NULL, NULL);
INSERT INTO `t_file` VALUES (16, 'GWO-SVR_input1', '/profile/upload/2024/06/05/input1_20240605210252A019.mat', '1', '0', '', '2024-06-05 21:02:54', '', NULL, NULL);
INSERT INTO `t_file` VALUES (17, 'result1_20240605210616A020.txt', '/resultPath/result/2024/06/05/result1_20240605210616A020.txt', '2', NULL, '', '2024-06-05 21:06:30', '', NULL, NULL);
INSERT INTO `t_file` VALUES (18, 'result2_20240605210616A021.jpg', '/resultPath/result/2024/06/05/result2_20240605210616A021.jpg', '2', NULL, '', '2024-06-05 21:06:30', '', NULL, NULL);
INSERT INTO `t_file` VALUES (19, 'result3_20240605210616A022.jpg', '/resultPath/result/2024/06/05/result3_20240605210616A022.jpg', '2', NULL, '', '2024-06-05 21:06:30', '', NULL, NULL);

-- ----------------------------
-- Table structure for t_sub_algorithm
-- ----------------------------
DROP TABLE IF EXISTS `t_sub_algorithm`;
CREATE TABLE `t_sub_algorithm`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `algorithm_id` bigint NOT NULL COMMENT '主表id',
  `field_id` bigint NOT NULL COMMENT '字段id',
  `upload_id` bigint NULL DEFAULT NULL COMMENT '文件id',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 18 CHARACTER SET = utf8 COLLATE = utf8_unicode_ci COMMENT = '算法子表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_sub_algorithm
-- ----------------------------
INSERT INTO `t_sub_algorithm` VALUES (1, 1, 1, 1, '', NULL, '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (2, 1, 2, 10, '', '2024-06-05 20:45:45', '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (3, 1, 3, 11, '', '2024-06-05 20:45:45', '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (4, 2, 4, 1, '', NULL, '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (5, 2, 5, 7, '', '2024-06-05 20:44:25', '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (6, 2, 6, 8, '', '2024-06-05 20:44:25', '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (7, 2, 7, 9, '', '2024-06-05 20:44:25', '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (8, 3, 8, 12, '', NULL, '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (9, 3, 9, NULL, '', NULL, '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (10, 4, 8, 12, '', NULL, '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (11, 4, 9, 13, '', '2024-06-05 20:58:39', '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (12, 5, 1, 6, '', NULL, '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (13, 5, 2, 14, '', '2024-06-05 21:00:37', '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (14, 5, 3, 15, '', '2024-06-05 21:00:37', '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (15, 6, 10, 16, '', NULL, '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (16, 6, 11, 17, '', '2024-06-05 21:06:30', '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (17, 6, 12, 18, '', '2024-06-05 21:06:30', '', NULL, NULL);
INSERT INTO `t_sub_algorithm` VALUES (18, 6, 13, 19, '', '2024-06-05 21:06:30', '', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
